Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.gui
Interface HistoryModelSaver

All Known Implementing Classes:
  JEditHistoryModelSaver

    public interface HistoryModelSaver

Interface for loading and saving of the "history" files.

Method Summary
`java.util.Map<java.lang.String,HistoryModel>` | `load(java.util.Map<java.lang.String,HistoryModel> models)`
`boolean` | `save(java.util.Map<java.lang.String,HistoryModel> models)`

Method Detail

### load

    java.util.Map<java.lang.String,HistoryModel> load(java.util.Map<java.lang.String,HistoryModel> models)

### save

    boolean save(java.util.Map<java.lang.String,HistoryModel> models)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD